image: atlassian/default-image:3

pipelines:
  branches:
    main:
      - step:
          name: 'Empty Step for main'
          script:
            - echo "This is an empty step"

      - step:
          name: 'Deployment to Test for main'
          deployment: Production
          trigger: 'manual'
          script:
            - ssh -o StrictHostKeyChecking=no root@146.190.231.8 '/root/script1.sh'
            
    release/PreProd:
      - step:
          name: 'Empty Step for release/PreProduction'
          script:
            - echo "This is an empty step"

      - step:
          name: 'Deployment to Test for release/Pre'
          deployment: PreProd
          trigger: 'manual'
          script:
            - apt-get update
            - apt-get install -y rsync
            - ssh -o StrictHostKeyChecking=no root@146.190.231.8 '/var/www/ORO_DEV/PROD/ASSET/BASH/script2.sh'
                     
    release/Test:
      - step:
          name: 'Empty Step for release/Test'
          script:
            - echo "This is an empty step"

      - step:
          name: 'Deployment to Test for release/Test'
          deployment: Test
          trigger: 'manual'
          script:
           - ssh -o StrictHostKeyChecking=no root@146.190.231.8 '/var/www/ORO_DEV/PROD/ASSET/BASH/script_test.sh'
            
    release/Develop:
      - step:
          name: 'Deployment to Develop'
          deployment: Staging
          script:
            - ssh -o StrictHostKeyChecking=no root@146.190.231.8 '/var/www/ORO_DEV/PROD/ASSET/BASH/script_dev.sh'
